gi-pango-1.0.19: Pango bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Pango.Objects.FontsetSimple

Contents

- Exported types
- Methods
  - append
  - new
  - size

Description

`FontsetSimple` is a implementation of the abstract `Fontset` base class in terms of an array of fonts, which the creator provides when constructing the `FontsetSimple`.

Synopsis

- newtype FontsetSimple = FontsetSimple (ManagedPtr FontsetSimple)
- class GObject o => IsFontsetSimple o
- toFontsetSimple :: (MonadIO m, IsFontsetSimple o) => o -> m FontsetSimple
- noFontsetSimple :: Maybe FontsetSimple
- fontsetSimpleAppend :: (HasCallStack, MonadIO m, IsFontsetSimple a, IsFont b) => a -> b -> m ()
- fontsetSimpleNew :: (HasCallStack, MonadIO m) => Language -> m FontsetSimple
- fontsetSimpleSize :: (HasCallStack, MonadIO m, IsFontsetSimple a) => a -> m Int32

# Exported types

newtype FontsetSimple Source #

Memory-managed wrapper type.

Constructors

FontsetSimple (ManagedPtr FontsetSimple) |

Instances

GObject FontsetSimple Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple Methods gobjectType :: FontsetSimple -> IO GType Source #
IsObject FontsetSimple Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple
IsFontset FontsetSimple Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple
IsFontsetSimple FontsetSimple Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple

class GObject o => IsFontsetSimple o Source #

Type class for types which can be safely cast to `FontsetSimple`, for instance with `toFontsetSimple`.

Instances

(GObject a, (UnknownAncestorError FontsetSimple a :: Constraint)) => IsFontsetSimple a Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple
IsFontsetSimple FontsetSimple Source # |
Instance details Defined in GI.Pango.Objects.FontsetSimple

toFontsetSimple :: (MonadIO m, IsFontsetSimple o) => o -> m FontsetSimple Source #

Cast to `FontsetSimple`, for types for which this is known to be safe. For general casts, use `castTo`.

noFontsetSimple :: Maybe FontsetSimple Source #

A convenience alias for `Nothing` :: `Maybe` `FontsetSimple`.

# Methods

## append

fontsetSimpleAppend Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontsetSimple a, IsFont b) |
=> a | `fontset`: a `FontsetSimple`.
-> b | `font`: a `Font`.
-> m () |

Adds a font to the fontset.

## new

fontsetSimpleNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> Language | `language`: a `Language` tag
-> m FontsetSimple | Returns: the newly allocated `FontsetSimple`, which should be freed with `objectUnref`.

Creates a new `FontsetSimple` for the given language.

## size

fontsetSimpleSize Source #

Arguments

:: (HasCallStack, MonadIO m, IsFontsetSimple a) |
=> a | `fontset`: a `FontsetSimple`.
-> m Int32 | Returns: the size of `fontset`.

Returns the number of fonts in the fontset.